﻿/** 
 *   Presentacion: pantalla de presentacion
 *  
 *   @see Hardware ElemGrafico Juego
 *   @author 1-DAI IES San Vicente 2009/10
 */
 
/* --------------------------------------------------         
   Parte de Death Pit - Remake
   Versiones hasta la fecha:
   
   Num.   Fecha       Por / Cambios
   ---------------------------------------------------
   0.14  23-Dic-2009  Nacho Cabanes
                      Primera versión de Presentacion, desglosado de "Juego.cs"
                      No añade posibilidades nuevas.
   0.15  28-Ene-2010  Alejandro Ferrándiz
                      Avisa de que se puede pulsar C para ver los creditos
                      y controla esa opción
 ---------------------------------------------------- */
 
public class Presentacion
{
    // Atributos
    private ElemGrafico imagen;
    private Fuente fuenteSans18;
    private int opcionEscogida;
    
    // Opciones posibles
    public const byte OPC_PARTIDA = 0;
    public const byte OPC_SALIR = 1;   
    public const byte OPC_CREDITOS = 2;


    /// Constructor
    public Presentacion()  // Constructor
    {
        imagen = new ElemGrafico("imagenes/present.png");
        fuenteSans18 = new Fuente("FreeSansBold.ttf",18);
   }
    
    /// Lanza la presentacion
    public  void Ejecutar()
    {
        //dibujo la imagen de la presentacion
        imagen.DibujarOculta();
        
        // Esscribo avisos de las teclas utilizables
        Hardware.EscribirTextoOculta(
                "Pulsa Espacio para jugar, pulsa T para terminar",
                175, 550, 0xAA, 0xAA, 0xAA, fuenteSans18);
        Hardware.EscribirTextoOculta(
                "o pulsa C para créditos.",
                300, 575, 0xAA, 0xAA, 0xAA, fuenteSans18);
        
        // Finalmente, muestro en pantalla
        Hardware.VisualizarOculta();  
        
        //hasta que se pulse espacio
        do {
        
        } while ((! Hardware.TeclaPulsada(Hardware.TECLA_ESP) )
          && (! Hardware.TeclaPulsada(Hardware.TECLA_T))
          && (! Hardware.TeclaPulsada(Hardware.TECLA_C)));
        
        opcionEscogida = OPC_PARTIDA;
        if (Hardware.TeclaPulsada(Hardware.TECLA_T))
            opcionEscogida = OPC_SALIR;
        
        if (Hardware.TeclaPulsada(Hardware.TECLA_C))
            opcionEscogida = OPC_CREDITOS;
        
        //borro la presentacion
        Hardware.BorrarPantallaOculta(0,0,0);    

    } 
    
    public int GetOpcionEscogida()
    {
        return opcionEscogida;
    }
    
    
} /* fin de la clase Presentacion */
